
Installer - Bug #1025

When installing foreman::proxy the installer has trouble finding the correct paths to commands in

defines.pp.

07/03/2011 10:23 PM - Shannon Mitchell

Status: Closed   

Priority: Normal   

Assignee:    

Category:    

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Parameter unless failed: 'grep -qFx 'foreman-proxy ALL = NOPASSWD: /usr/sbin/puppetca' '/etc/sudoers'' is both unqualifed and

specified no search path at /usr/src/foreman-puppet-installer/ohadlevy-puppet-foreman-3436257/foreman/manifests/defines.pp:20

A patch has been attached that includes /bin, /sbin, /usr/bin, /usr/sbin in the exec path.

Associated revisions

Revision 91b8ef80 - 07/11/2011 03:17 AM - Ohad Levy

fixes #1025 - adds more path to search for executables

Provided by shannon.mitchell@fusiontechnology-llc.com

History

#1 - 07/11/2011 03:21 AM - Ohad Levy

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset commit:"f6964828382078f9b34f20f14f308fd0a53341a4".

Files

defines.pp.patch 736 Bytes 07/03/2011 Shannon Mitchell
